%global debug_package %{nil}
%global provider github
%global provider_tld com
%global project opencontainers
%global repo runc

%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

%global commit %(git log | head -1 | cut -d' ' -f2)
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global version %(grep 'version = ' main.go | awk '{print $3}' | tr -d \\\")

Name: %{repo}
Version: %{version}
Release: 1.git%{shortcommit}%{?dist}
Summary: CLI for running Open Containers
License: ASL 2.0
URL: https://%{import_path}
ExclusiveArch: x86_64
Source0: https://%{import_path}/archive/%{commit}.tar.gz
BuildRequires: git
BuildRequires: golang

Requires: golang

%description
%{summary}

%prep
%setup -q -n %{name}-%{commit}

%build
ln -s $(pwd) Godeps/_workspace/src/%{import_path}
make

%install
install -dp %{buildroot}%{_bindir}
install -dp %{buildroot}%{gopath}/src/%{import_path}
install runc %{buildroot}%{_bindir}/%{name}

# Install all of the sources which are not tests and which are not Godeps
for file in $(find . -iname "*.go" \! -iname "*_test.go" | grep -v "^./Godeps") ; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> devel.file-list
done

%package devel
Summary: Source code for the OCF runtime
Group: Development/Libraries

# generated using gofed -p
Provides: golang(%{import_path}/libcontainer) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/apparmor) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/cgroups) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/cgroups/fs) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/cgroups/systemd) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/configs) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/configs/validate) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/criurpc) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/devices) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/integration) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/label) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/netlink) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/nsenter) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/seccomp) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/selinux) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/stacktrace) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/system) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/user) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/utils) = %{version}-%{release}
Provides: golang(%{import_path}/libcontainer/xattr) = %{version}-%{release}

%description devel
The Open Container Foundation runtime source code can be incorporated into
other projects to expand the capabilites in a standardized open way.

%files
%doc LICENSE NOTICE MAINTAINERS *.md
%{_bindir}/%{name}

%files devel
%{gopath}/src/%{import_path}

%changelog
